<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
	<LangVersion>latest</LangVersion>
  </PropertyGroup>
	
  <ItemGroup>
	  <Compile Remove="EmbeddedCommunication.cs" />
  </ItemGroup>
	
  <ItemGroup>
    <PackageReference Include="Fody" Version="6.9.3">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Newtonsoft.Json" Version="13.0.4" />
    <PackageReference Include="System.IO.Ports" Version="6.0.0" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="CommonUsage">
      <HintPath>parkingRobotRef\CommonUsage.dll</HintPath>
    </Reference>
    <Reference Include="CycleGUI">
      <HintPath>ref\CycleGUI.dll</HintPath>
    </Reference>
    <Reference Include="MDCSToolBox">
      <HintPath>parkingRobotRef\MDCSToolBox.dll</HintPath>
    </Reference>
    <Reference Include="CartActivator">
      <HintPath>parkingRobotRef\RefCartActivator.dll</HintPath>
    </Reference>
    <Reference Include="FundamentalLib">
      <HintPath>parkingRobotRef\RefFundamentalLib.dll</HintPath>
    </Reference>
    <Reference Include="MedullaCore">
      <HintPath>parkingRobotRef\RefMedullaCore.dll</HintPath>
    </Reference>
  </ItemGroup>
	<ItemGroup>
		<WeaverFiles Include="deps\DiverCompiler.exe" />
	</ItemGroup>
</Project>
